## r-cran-rngtools 1.2.4

=== DESCRIPTION ===
Package: rngtools
Maintainer: Renaud Gaujoux <renaud@tx.technion.ac.il>
Author: Renaud Gaujoux
Version: 1.2.4
License: GPL-3
Title: Utility functions for working with Random Number Generators
Description: This package contains a set of functions for working with
    Random Number Generators (RNGs). In particular, it defines a generic
    S4 framework for getting/setting the current RNG, or RNG data
    that are embedded into objects for reproducibility.
    Notably, convenient default methods greatly facilitate the way current
    RNG settings can be changed.
URL: https://renozao.github.io/rngtools
BugReports: http://github.com/renozao/rngtools/issues
SCM: github:renozao, r-forge
Depends: R (>= 3.0.0), methods, pkgmaker (>= 0.20)
Imports: stringr, digest
Suggests: parallel, RUnit, knitr
Collate: 'rngtools-package.r' 'format.R' 'RNG.R' 'RNGseq.R'
VignetteBuilder: knitr
Packaged: 2014-03-06 13:11:11 UTC; renaud
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-03-06 22:18:10

=== debian/changelog ===
r-cran-rngtools (1.2.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jul 2016 13:26:41 +0200

r-cran-rngtools (1.2.4-1) unstable; urgency=medium

  * Initial release. (Closes: #829502)

 -- Alba Crespi <crespialba+debian@gmail.com>  Sun, 03 Jul 2016 22:30:22 +0200

=== debian/control ===
Source: r-cran-rngtools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alba Crespi <crespialba+debian@gmail.com>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               r-base-dev (>= 3.0.0),
               cdbs,
               r-cran-pkgmaker (>= 0.20),
               r-cran-stringr,
               r-cran-digest
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-rngtools.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-rngtools.git
Homepage: https://cran.r-project.org/web/packages/rngtools/

Package: r-cran-rngtools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends},
         r-cran-pkgmaker (>= 0.20),
         r-cran-stringr,
         r-cran-digest
Description: GNU R package for random number generators
 This package contains a set of functions for working with Random Number
 Generators (RNGs). In particular, it defines a generic S4 framework for
 getting/setting the current RNG, or RNG data that are embedded into
 objects for reproducibility. Notably, convenient default methods greatly
 facilitate the way current RNG settings can be changed.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	chmod 644 $(debRlib)/$(cranName)/tests/runit.*

=== debian/watch ===
version=3
https://cran.r-project.org/src/contrib/rbgtools_([-0-9\.]*)\.tar\.gz

## r-cran-rngtools 1.3.1

=== debian/changelog ===
r-cran-rngtools (1.3.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild for R 3.5 transition

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jun 2018 09:14:54 +0200

r-cran-rngtools (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Architecture: all

 -- Andreas Tille <tille@debian.org>  Fri, 18 May 2018 10:42:47 +0200

r-cran-rngtools (1.2.4-2) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Convert to dh-r
  * d/watch: version=4
  * Canonical homepage for CRAN

 -- Andreas Tille <tille@debian.org>  Sun, 13 Nov 2016 19:04:50 +0100

=== debian/control ===
Source: r-cran-rngtools
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Alba Crespi <crespialba+debian@gmail.com>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-pkgmaker,
               r-cran-stringr,
               r-cran-digest
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rngtools
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rngtools.git
Homepage: https://cran.r-project.org/package=rngtools

Package: r-cran-rngtools
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package for random number generators
 This package contains a set of functions for working with Random Number
 Generators (RNGs). In particular, it defines a generic S4 framework for
 getting/setting the current RNG, or RNG data that are embedded into
 objects for reproducibility. Notably, convenient default methods greatly
 facilitate the way current RNG settings can be changed.

## r-cran-rngtools 1.4

=== DESCRIPTION ===
Package: rngtools
Authors@R: 
  c(person("Renaud", "Gaujoux", email = "renozao@protonmail.com", role = c("aut", "cre")),
    person("Max", "Kuhn", role = "ctb"))
Version: 1.4
License: GPL-3
Title: Utility Functions for Working with Random Number Generators
Description: Provides a set of functions for working with
    Random Number Generators (RNGs). In particular, a generic
    S4 framework is defined for getting/setting the current RNG, or RNG data
    that are embedded into objects for reproducibility.
    Notably, convenient default methods greatly facilitate the way current
    RNG settings can be changed.
URL: https://renozao.github.io/rngtools
BugReports: http://github.com/renozao/rngtools/issues
Encoding: UTF-8
Depends: R (>= 3.2.0), methods, pkgmaker (>= 0.20)
Imports: stringr, digest, utils, stats, parallel
Suggests: covr, RUnit, testthat
Collate: 'rngtools-package.r' 'format.R' 'RNG.R' 'RNGseq.R'
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-07-01 22:19:39 UTC; jovyan
Author: Renaud Gaujoux [aut, cre],
  Max Kuhn [ctb]
Maintainer: Renaud Gaujoux <renozao@protonmail.com>
Repository: CRAN
Date/Publication: 2019-07-01 23:00:03 UTC

=== debian/changelog ===
r-cran-rngtools (1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jul 2019 08:14:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-pkgmaker,
                r-cran-stringr,
                r-cran-digest
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rngtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rngtools.git
 Homepage: https://cran.r-project.org/package=rngtools

## r-cran-rngtools 1.5

=== DESCRIPTION ===
Package: rngtools
Authors@R: 
  c(person("Renaud", "Gaujoux", email = "renozao@protonmail.com", role = c("aut", "cre")),
    person("Max", "Kuhn", role = "ctb"))
Version: 1.5
License: GPL-3
Title: Utility Functions for Working with Random Number Generators
Description: Provides a set of functions for working with
    Random Number Generators (RNGs). In particular, a generic
    S4 framework is defined for getting/setting the current RNG, or RNG data
    that are embedded into objects for reproducibility.
    Notably, convenient default methods greatly facilitate the way current
    RNG settings can be changed.
URL: https://renozao.github.io/rngtools
BugReports: http://github.com/renozao/rngtools/issues
Encoding: UTF-8
Depends: R (>= 3.2.0), methods
Imports: digest, utils, stats, parallel
Suggests: covr, RUnit, testthat
RoxygenNote: 7.0.2
NeedsCompilation: no
Packaged: 2020-01-22 17:43:08 UTC; renaud
Author: Renaud Gaujoux [aut, cre],
  Max Kuhn [ctb]
Maintainer: Renaud Gaujoux <renozao@protonmail.com>
Repository: CRAN
Date/Publication: 2020-01-23 23:20:02 UTC

=== debian/changelog ===
r-cran-rngtools (1.5-2) unstable; urgency=medium

  * Team upload.
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 22:13:44 +0200

r-cran-rngtools (1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jan 2020 11:21:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,15 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-cran-pkgmaker,
-               r-cran-stringr,
                r-cran-digest
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rngtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rngtools.git
 Homepage: https://cran.r-project.org/package=rngtools
+Rules-Requires-Root: no
 
 Package: r-cran-rngtools
 Architecture: all

## r-cran-rngtools 1.5.2

=== DESCRIPTION ===
Package: rngtools
Authors@R: 
  c(person("Renaud", "Gaujoux", email = "renozao@protonmail.com", role = c("aut", "cre")),
    person("Max", "Kuhn", role = "ctb"))
Version: 1.5.2
License: GPL-3
Title: Utility Functions for Working with Random Number Generators
Description: Provides a set of functions for working with
    Random Number Generators (RNGs). In particular, a generic
    S4 framework is defined for getting/setting the current RNG, or RNG data
    that are embedded into objects for reproducibility.
    Notably, convenient default methods greatly facilitate the way current
    RNG settings can be changed.
URL: https://renozao.github.io/rngtools/
BugReports: https://github.com/renozao/rngtools/issues
Encoding: UTF-8
Depends: R (>= 3.2.0), methods
Imports: digest, utils, stats, parallel
Suggests: covr, RUnit, testthat
RoxygenNote: 7.0.2
NeedsCompilation: no
Packaged: 2021-09-20 15:23:51 UTC; renaud
Author: Renaud Gaujoux [aut, cre],
  Max Kuhn [ctb]
Maintainer: Renaud Gaujoux <renozao@protonmail.com>
Repository: CRAN
Date/Publication: 2021-09-20 15:50:02 UTC

=== debian/changelog ===
r-cran-rngtools (1.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 23 Sep 2021 11:04:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-digest
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rngtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rngtools.git
 Homepage: https://cran.r-project.org/package=rngtools

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name "runit.*.r" -exec chmod -x \{\} \;
